Log4j Version 1.2.7: Class AppenderDynamicMBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.jmx
Class AppenderDynamicMBean

    java.lang.Object
      |
      +--org.apache.log4j.jmx.AbstractDynamicMBean
            |
            +--org.apache.log4j.jmx.AppenderDynamicMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration

public class AppenderDynamicMBean
extends AbstractDynamicMBean

Constructor Summary
`AppenderDynamicMBean(Appender appender)`

Method Summary
`Object` | `getAttribute(String attributeName)`
`protected Logger` | `getLogger()`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`Object` | `invoke(String operationName, Object[] params, String[] signature)`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `setAttribute(javax.management.Attribute attribute)`

Methods inherited from class org.apache.log4j.jmx.AbstractDynamicMBean
`getAttributes, postDeregister, postRegister, preDeregister, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppenderDynamicMBean

    public AppenderDynamicMBean(Appender appender)
                         throws IntrospectionException

Method Detail

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

### invoke

    public Object invoke(String operationName,
                         Object[] params,
                         String[] signature)
                  throws javax.management.MBeanException,
                         javax.management.ReflectionException

### getLogger

    protected Logger getLogger()

  Overrides:
    `getLogger` in class `AbstractDynamicMBean`

### getAttribute

    public Object getAttribute(String attributeName)
                        throws javax.management.AttributeNotFoundException,
                               javax.management.MBeanException,
                               javax.management.ReflectionException

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)

  Overrides:
    `preRegister` in class `AbstractDynamicMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.